"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateEmail = exports.formatMoney = void 0;

var _accounting = _interopRequireDefault(require("accounting"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const formatMoney = function (str) {
  let c = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'Rp ';
  return _accounting.default.formatMoney(str, c, ',', '.');
};

exports.formatMoney = formatMoney;

const validateEmail = s => {
  const re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
  return re.test(s);
};

exports.validateEmail = validateEmail;
//# sourceMappingURL=helpers.js.map