import React from 'react';
import { TouchableOpacity, View } from 'react-native';
import { Icon, Text } from '../../Atoms';
import Header from './Header';
import { styles } from './header.style';

const HeaderTitle = _ref => {
  let {
    noShadow,
    onPress,
    backIcon = 'left',
    title,
    style,
    rightIcon
  } = _ref;
  return /*#__PURE__*/React.createElement(Header, {
    noShadow: noShadow
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.headerTitleWrapper, style]
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onPress,
    style: {
      flex: 1
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    name: backIcon,
    color: "black",
    size: 30
  })), /*#__PURE__*/React.createElement(View, {
    style: styles.headerBody
  }, /*#__PURE__*/React.createElement(Text, {
    text: title,
    variant: "extraBold"
  })), /*#__PURE__*/React.createElement(View, {
    style: styles.headerOptimizer
  }, rightIcon ? /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onPress,
    style: {
      flex: 1
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    name: rightIcon,
    color: "black",
    size: 30
  })) : null)));
};

export default HeaderTitle;
//# sourceMappingURL=HeaderTitle.js.map