import React from 'react';
import { TouchableOpacity, View } from 'react-native';
import { Icon, Text } from '../../Atoms';
import Header from './Header';
import { styles } from './header.style';

const HeaderTitle = ({
  noShadow,
  onPress,
  backIcon = 'left',
  title,
  style,
  rightIcon,
}) => {
  return (
    <Header noShadow={noShadow}>
      <View style={[styles.headerTitleWrapper, style]}>
        <TouchableOpacity onPress={onPress} style={{ flex: 1 }}>
          <Icon name={backIcon} color="black" size={30} />
        </TouchableOpacity>
        <View style={styles.headerBody}>
          <Text text={title} variant="extraBold" />
        </View>
        <View style={styles.headerOptimizer}>
          {rightIcon ? (
            <TouchableOpacity onPress={onPress} style={{ flex: 1 }}>
              <Icon name={rightIcon} color="black" size={30} />
            </TouchableOpacity>
          ) : null}
        </View>
      </View>
    </Header>
  );
};

export default HeaderTitle;
