import { StyleSheet } from 'react-native';
import { width } from '../../../constant/theme';

export const styles = StyleSheet.create({
  modalContainer: {
    backgroundColor: 'white',
    padding: 12,
    justifyContent: 'center',
    alignItems: 'center',
    borderColor: 'rgba(0, 0, 0, 0.1)',
    borderRadius: 20,
  },
  thumbnailWrapper: { marginBottom: 32, marginTop: 12 },
  modalStyle: {
    position: 'absolute',
    left: 0,
    right: 0,
    justifyContent: 'center',
    alignItems: 'center',
  },
  modalView: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    paddingHorizontal: 10,
    paddingVertical: 12,
    borderRadius: 8,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2,
    },
  },
  iconStyle: {
    color: 'white',
    marginRight: 10,
  },
  errorTextStyle: {
    color: 'white',
    fontSize: 12,
  },
  iconPosition: {
    color: 'white',
    marginLeft: 10,
  },
  modalBody: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    marginTop: width * 0.04,
  },
  imgSocial: {
    height: width * 0.13,
    aspectRatio: 1,
    marginBottom: width * 0.03,
  },
  itemSocial: {
    justifyContent: 'space-between',
    alignItems: 'center',
    width: width * 0.22,
  },
});
